Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.editions.query
Interface EditionQuery

    public interface EditionQuery

An interface for a query to find editions using the `EditionService`.

Since:
  8.5
See Also:
  `EditionService`

Field Summary
`static long` | `NO_LIMIT` Sets no limit on results to be returned.

Method Summary
`EditionQuery` | `addSelector(EditionSelector selector)` Adds a `EditionSelector` to this `EditionQuery`.
`EditionQuery` | `addSelectors(EditionSelector... selectors)` Adds multiple `EditionSelector` to this `EditionQuery`.
`EditionQuery` | `addSort(EditionSort sort)` Adds a `EditionSort` to this `EditionQuery`.
`void` | `clearSorts()` Clean the sort setting for this query.
`long` | `getMaximumResults()` Returns the configured maximum number of Editions to be returned.
`java.util.List<EditionSelector>` | `getSelectors()` Returns a `List` that contains all the `EditionSelector` in this `EditionQuery`.
`java.util.List<EditionSort>` | `getSorts()` Returns a `List` of the `EditionSort`s defined in this query.
`void` | `setMaximumResults(long maxResults)` Set the maximum number of Editions to return in the query

Field Detail

### NO_LIMIT

    static final long NO_LIMIT

  Sets no limit on results to be returned.

  See Also:
    Constant Field Values

Method Detail

### addSelector

    EditionQuery addSelector(EditionSelector selector)

  Adds a `EditionSelector` to this `EditionQuery`.

  Parameters:
    `selector` - edition selector to be added
  Returns:
    the Query object to allow for chaining addXxxx calls

### addSelectors

    EditionQuery addSelectors(EditionSelector... selectors)

  Adds multiple `EditionSelector` to this `EditionQuery`.

  Parameters:
    `selectors` - edition selectors to be added
  Returns:
    the Query object to allow for chaining addXxxx calls

### getSelectors

    java.util.List<EditionSelector> getSelectors()

  Returns a `List` that contains all the `EditionSelector` in this `EditionQuery`.

  Returns:
    a list of `EditionSelector`

### addSort

    EditionQuery addSort(EditionSort sort)

  Adds a `EditionSort` to this `EditionQuery`. It is possible to add multiple `EditionSort` in one `EditionQuery`, the result will be sorted by the order in which the Sorts are added.

  Parameters:
    `sort` - EditionSort to be added
  Returns:
    the Query object to allow for chaining addXxxx calls

### getSorts

    java.util.List<EditionSort> getSorts()

  Returns a `List` of the `EditionSort`s defined in this query.

  Returns:
    a `List/code> of `EditionSort``

### clearSorts

    void clearSorts()

  Clean the sort setting for this query.

### setMaximumResults

    void setMaximumResults(long maxResults)

  Set the maximum number of Editions to return in the query

  If not explicitly set then the default is `NO_LIMIT`

  Parameters:
    `maxResults` - maximum number of editions to return

### getMaximumResults

    long getMaximumResults()

  Returns the configured maximum number of Editions to be returned.

  Returns:
    maximum number of editions to return

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD